| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Public Member Functions
Adafruit_ILI9341 Class Reference

## Detailed Description

Definition at line 118 of file Adafruit_ILI9341.h.

Inheritance diagram for Adafruit_ILI9341:

## Public Member Functions
| Adafruit_ILI9341 (int8_t _CS, int8_t _DC, int8_t _MOSI, int8_t _SCLK, int8_t _RST, int8_t _MISO)
| Adafruit_ILI9341 (int8_t _CS, int8_t _DC, int8_t _RST=-1)
void | begin (void)
void | setAddrWindow (uint16_t x0, uint16_t y0, uint16_t x1, uint16_t y1)
void | pushColor (uint16_t color)
void | fillScreen (uint16_t color)
void | drawPixel (int16_t x, int16_t y, uint16_t color)
void | drawFastVLine (int16_t x, int16_t y, int16_t h, uint16_t color)
void | drawFastHLine (int16_t x, int16_t y, int16_t w, uint16_t color)
void | fillRect (int16_t x, int16_t y, int16_t w, int16_t h, uint16_t color)
void | setRotation (uint8_t r)
void | invertDisplay (boolean i)
uint16_t | color565 (uint8_t r, uint8_t g, uint8_t b)
uint8_t | readdata (void)
uint8_t | readcommand8 (uint8_t reg, uint8_t index=0)
void | spiwrite (uint8_t)
void | writecommand (uint8_t c)
void | writedata (uint8_t d)
void | commandList (uint8_t *addr)
uint8_t | spiread (void)
Public Member Functions inherited from Adafruit_GFX
| Adafruit_GFX (int16_t w, int16_t h)
virtual void | drawLine (int16_t x0, int16_t y0, int16_t x1, int16_t y1, uint16_t color)
virtual void | drawFastVLine (int16_t x, int16_t y, int16_t h, uint16_t color)
virtual void | drawFastHLine (int16_t x, int16_t y, int16_t w, uint16_t color)
virtual void | drawRect (int16_t x, int16_t y, int16_t w, int16_t h, uint16_t color)
virtual void | fillRect (int16_t x, int16_t y, int16_t w, int16_t h, uint16_t color)
virtual void | fillScreen (uint16_t color)
virtual void | invertDisplay (boolean i)
void | drawCircle (int16_t x0, int16_t y0, int16_t r, uint16_t color)
void | drawCircleHelper (int16_t x0, int16_t y0, int16_t r, uint8_t cornername, uint16_t color)
void | fillCircle (int16_t x0, int16_t y0, int16_t r, uint16_t color)
void | fillCircleHelper (int16_t x0, int16_t y0, int16_t r, uint8_t cornername, int16_t delta, uint16_t color)
void | drawTriangle (int16_t x0, int16_t y0, int16_t x1, int16_t y1, int16_t x2, int16_t y2, uint16_t color)
void | fillTriangle (int16_t x0, int16_t y0, int16_t x1, int16_t y1, int16_t x2, int16_t y2, uint16_t color)
void | drawRoundRect (int16_t x0, int16_t y0, int16_t w, int16_t h, int16_t radius, uint16_t color)
void | fillRoundRect (int16_t x0, int16_t y0, int16_t w, int16_t h, int16_t radius, uint16_t color)
void | drawBitmap (int16_t x, int16_t y, const uint8_t *bitmap, int16_t w, int16_t h, uint16_t color)
void | drawBitmap (int16_t x, int16_t y, const uint8_t *bitmap, int16_t w, int16_t h, uint16_t color, uint16_t bg)
void | drawBitmap (int16_t x, int16_t y, uint8_t *bitmap, int16_t w, int16_t h, uint16_t color)
void | drawBitmap (int16_t x, int16_t y, uint8_t *bitmap, int16_t w, int16_t h, uint16_t color, uint16_t bg)
void | drawXBitmap (int16_t x, int16_t y, const uint8_t *bitmap, int16_t w, int16_t h, uint16_t color)
void | drawChar (int16_t x, int16_t y, unsigned char c, uint16_t color, uint16_t bg, uint8_t size)
void | setCursor (int16_t x, int16_t y)
void | setTextColor (uint16_t c)
void | setTextColor (uint16_t c, uint16_t bg)
void | setTextSize (uint8_t s)
void | setTextWrap (boolean w)
void | setRotation (uint8_t r)
void | cp437 (boolean x=true)
void | setFont (const GFXfont *f=NULL)
void | getTextBounds (char *string, int16_t x, int16_t y, int16_t *x1, int16_t *y1, uint16_t *w, uint16_t *h)
void | getTextBounds (const __FlashStringHelper *s, int16_t x, int16_t y, int16_t *x1, int16_t *y1, uint16_t *w, uint16_t *h)
virtual void | write (uint8_t)
int16_t | height (void) const
int16_t | width (void) const
uint8_t | getRotation (void) const
int16_t | getCursorX (void) const
int16_t | getCursorY (void) const

## Additional Inherited Members
Protected Attributes inherited from Adafruit_GFX
const int16_t | WIDTH
const int16_t | HEIGHT
int16_t | _width
int16_t | _height
int16_t | cursor_x
int16_t | cursor_y
uint16_t | textcolor
uint16_t | textbgcolor
uint8_t | textsize
uint8_t | rotation
boolean | wrap
boolean | _cp437
GFXfont * | gfxFont

## Member Function Documentation

## ◆ begin()

void Adafruit_ILI9341::begin | ( | void |  | ) |

Definition at line 219 of file Adafruit_ILI9341.cpp.

## ◆ color565()

uint16_t Adafruit_ILI9341::color565 | ( | uint8_t | r,
|  | uint8_t | g,
|  | uint8_t | b
| ) |  |

Definition at line 599 of file Adafruit_ILI9341.cpp.

## ◆ commandList()

void Adafruit_ILI9341::commandList | ( | uint8_t * | addr | ) |

Definition at line 191 of file Adafruit_ILI9341.cpp.

## ◆ drawFastHLine()

void Adafruit_ILI9341::drawFastHLine | ( | int16_t | x,
|  | int16_t | y,
|  | int16_t | w,
|  | uint16_t | color
| ) |  |

Definition at line 521 of file Adafruit_ILI9341.cpp.

## ◆ drawFastVLine()

void Adafruit_ILI9341::drawFastVLine | ( | int16_t | x,
|  | int16_t | y,
|  | int16_t | h,
|  | uint16_t | color
| ) |  |

Definition at line 482 of file Adafruit_ILI9341.cpp.

## ◆ drawPixel()

void Adafruit_ILI9341::drawPixel | ( | int16_t | x,
|  | int16_t | y,
|  | uint16_t | color
| ) |  |
| virtual

Implements Adafruit_GFX.

Definition at line 453 of file Adafruit_ILI9341.cpp.

## ◆ fillRect()

void Adafruit_ILI9341::fillRect | ( | int16_t | x,
|  | int16_t | y,
|  | int16_t | w,
|  | int16_t | h,
|  | uint16_t | color
| ) |  |

Definition at line 558 of file Adafruit_ILI9341.cpp.

## ◆ fillScreen()

void Adafruit_ILI9341::fillScreen | ( | uint16_t | color | ) |

Definition at line 552 of file Adafruit_ILI9341.cpp.

## ◆ invertDisplay()

void Adafruit_ILI9341::invertDisplay | ( | boolean | i | ) |

Definition at line 646 of file Adafruit_ILI9341.cpp.

## ◆ pushColor()

void Adafruit_ILI9341::pushColor | ( | uint16_t | color | ) |

Definition at line 429 of file Adafruit_ILI9341.cpp.

## ◆ readcommand8()

uint8_t Adafruit_ILI9341::readcommand8 | ( | uint8_t | reg,
|  | uint8_t | index = `0`
| ) |  |

Definition at line 708 of file Adafruit_ILI9341.cpp.

## ◆ readdata()

uint8_t Adafruit_ILI9341::readdata | ( | void |  | ) |

Definition at line 697 of file Adafruit_ILI9341.cpp.

## ◆ setAddrWindow()

void Adafruit_ILI9341::setAddrWindow | ( | uint16_t | x0,
|  | uint16_t | y0,
|  | uint16_t | x1,
|  | uint16_t | y1
| ) |  |

Definition at line 409 of file Adafruit_ILI9341.cpp.

## ◆ setRotation()

void Adafruit_ILI9341::setRotation | ( | uint8_t | r | ) |

Definition at line 613 of file Adafruit_ILI9341.cpp.

## ◆ spiread()

uint8_t Adafruit_ILI9341::spiread | ( | void |  | ) |

Definition at line 657 of file Adafruit_ILI9341.cpp.

## ◆ spiwrite()

void Adafruit_ILI9341::spiwrite | ( | uint8_t | c | ) |

Definition at line 79 of file Adafruit_ILI9341.cpp.

## ◆ writecommand()

void Adafruit_ILI9341::writecommand | ( | uint8_t | c | ) |

Definition at line 140 of file Adafruit_ILI9341.cpp.

## ◆ writedata()

void Adafruit_ILI9341::writedata | ( | uint8_t | d | ) |

Definition at line 161 of file Adafruit_ILI9341.cpp.

## Constructor & Destructor Documentation

## ◆ Adafruit_ILI9341() [1/2]

Adafruit_ILI9341::Adafruit_ILI9341 | ( | int8_t | _CS,
|  | int8_t | _DC,
|  | int8_t | _MOSI,
|  | int8_t | _SCLK,
|  | int8_t | _RST,
|  | int8_t | _MISO
| ) |  |

Definition at line 55 of file Adafruit_ILI9341.cpp.

## ◆ Adafruit_ILI9341() [2/2]

Adafruit_ILI9341::Adafruit_ILI9341 | ( | int8_t | _CS,
|  | int8_t | _DC,
|  | int8_t | _RST = `-1`
| ) |  |

Definition at line 70 of file Adafruit_ILI9341.cpp.

The documentation for this class was generated from the following files:

- Adafruit_ILI9341.h
- Adafruit_ILI9341.cpp